#include "wheel.h"

#include <QBrush>
#include <QPen>

Wheel::Wheel(qreal x, qreal y, qreal w, qreal h) :
        QGraphicsEllipseItem(x, y, w, h),
        turning(false),
        lastPos(0, 0),
        lastAngle(0),
        angle(0)
{
    QBrush b(Qt::SolidPattern);
    b.setColor(Qt::red);
    setBrush(b);
    QPen p(Qt::DotLine);
    p.setColor(Qt::yellow);
    setPen(p);
}
